Subject: Re: bug#44202: [PATCH] Add variable to control confirmation of help-mode-revert-buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Oct 2020 08:27:11 +0100

Kevin Foley <[email-masked]> writes:

> So would the solution be to remove the prompt all together?  Or would it
> the approach used in the patch to provide an option to control it
> specifically for *Help*?

I looked at the VC log for the *Help* function to see whether there was
a particular reason this function required confirmation (when most other
non-file buffer reverting functions didn't), and I couldn't find
anything.  My guess is that since the revert-buffer functions have a
NOCONFIRM parameter, then it was just implemented that way without,
since that seems logical.  (And it would be, if the NOCONFIRM parameter
was more...  logical.)

So I've just removed the prompting in *Help* unconditionally on the
trunk now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no